Subject: [PWE3] RE: SG15Q12 liaison on MS-PW requirements (Stewart Bryant)

From: "Jin Li Zhong, PB SHA" <[email-masked]>
Date: Mon, 26 Nov 2007 18:14:45 +0800

Hi all
In my personal opinion, the most disadvantage of the solution described in
liaison statement is: the MS-PW is only doing the mapping to TMC, and PW is
somelike meaningless. This will change the role of PW, and  in fact, the
client layer netwrok and the server layer t-mpls transport network are mixed
together in the data plane.

In my opinion, using TMP/TMC to multiplex MS-PW is a better solution. We can
keep the independence of PW setting up and forwarding, and this solution is
much more conform with draft-ietf-pwe3-ms-pw-requirements-05. TMP
multiplexing solution is recommended.

Best Regards
Lizhong JIN

Nokia Siemens Networks
Systems Engineering NGM
Building 89, 1122 North QinZhou Road, 
Shanghai, 200211, P.R.China
e-mail: [email-masked]

-----Original
Message---------------------------------------------------------------------
------

Message: 1
Date: Thu, 22 Nov 2007 18:18:03 +0000
From: Stewart Bryant <[email-masked]>
Subject: [PWE3] SG15Q12 liaison on MS-PW requirements
To: pwe3 <[email-masked]>, [email-masked]
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed

I have been taking a look at the following liaison statement

https://datatracker.ietf.org/liaison/372/

I replying I think that we have to strongly express
our willingness to work together and to request
requirements.  Given that we have all but completed

draft-ietf-pwe3-ms-pw-requirements-05.txt

I think that we would have to take the requirements as
as supplementary to the existing requirements.

Now I have a few concerns that we need to look at in
the document:

"Inside the T-MPLS network there is a 1:1 relationship 
between the MPLS MS-PW and the T-MPLS Channel trail; 
therefore the TMC/PW_A function is not required to 
insert a PW label. The reason is that the functionality 
of multiplexing (for vertical scalability reasons) 
multiple pseudo-wires over a single trunk is performed 
at the TMP level (by multiplexing multiple TMCs over a TMP)."

This is saying (and I think that this is a problem 
that applies to TMPLS in general that we have not
picked up on) that there is only ONE label
in the packet that does double duty between PW label
AND as MPLS label - perhaps Itallo can confirm). This
breaks the PWE3/MPLS architecture. The only way that I can
see it fitting is if we allow PHP of the PW lable
IFF there is only one PW, which seems something of
an irony!

"Given the fact that T-MPLS has the same QoS architecture 
as IP/MPLS networks, the mapping of the QoS at the client 
MPLS PW layer and the QoS at the server T-MPLS channel 
layer is straightforward."

That is true for data traffic, BUT with the re-use 
of the exp bits in the OAM I am not sure that it
holds across the whole design.

Please could others read the liaison and comment on
the correct response.

- Stewart

------------------------------

Message: 2
Date: Fri, 23 Nov 2007 16:46:37 +0000
From: Stewart Bryant <[email-masked]>
Subject: [PWE3] [Fwd: [TICTOC] updated charter page and agenda
	submitted]
To: pwe3 <[email-masked]>
Message-ID: <[email-masked]>
Content-Type: text/plain; charset="iso-8859-1"

This will be of interest to some members of the PWE3 list

Stewart

-------------- next part --------------
An embedded message was scrubbed...
From: "Yaakov Stein" <[email-masked]>
Subject: [TICTOC] updated charter page and agenda submitted
Date: Thu, 15 Nov 2007 20:07:18 +0200
Size: 5536
Url:
http://www1.ietf.org/pipermail/pwe3/attachments/20071123/7ba83084/TICTOCupda
tedcharterpageandagendasubmitted.eml

------------------------------

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

End of pwe3 Digest, Vol 43, Issue 14
************************************
_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3